.page-building__title {
    font-size: 24px;
    margin-bottom: var(--gap);
}

.buildings-menu__body {
    margin-bottom: 24px;
}

.buildings-menu {
    display: flex;
    position: relative;
    justify-content: flex-end;
}

.buildings-menu::before {
    content: '';
    background-color: var(--border-color);
    position: absolute;
    width: 90%;
    height: 2px;
    bottom: 0;
    right: 0;
}

.buildings-menu a {
    text-decoration: none;
}

.buildings-menu__item {
    position: relative;
    height: 60px;
    display: inline-flex;
    align-items: center;
    cursor: pointer;
    transition: var(--transition);
}

.buildings-menu__item::before {
    content: '';
    transition: var(--transition);
    background-color: var(--primary-color);
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: 0;
    left: 0;
    opacity: 0;
}

.active.buildings-menu__item::before {
    opacity: 1;
}

.buildings-menu__item:hover::before {
    opacity: .3;
}

.buildings-menu__item.active .buildings-menu__link {
    color: var(--primary-color);
}

.buildings-menu__link {
    color: var(--title-color);
    font-family: var(--font-family-600);
    transition: var(--transition);
    width: 100%;
    height: 100%;
    padding: 0 20px;
    display: flex;
    align-items: center;
    white-space: nowrap;
}

.buildings-menu__item.active .buildings-menu__link:visited,
.buildings-menu__item.active .buildings-menu__link:active,
.buildings-menu__item.active .buildings-menu__link:hover {
    color: var(--primary-color);
}



@media (max-width: 1280px) {
    .buildings-menu {
        /* margin-top: 60px;*/
    }
}

@media (max-width: 768px) {
    .buildings-menu {
        /*flex-wrap: wrap;*/
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(140px, 1fr));
    }

    .buildings-menu::before {
        width: 100%;
        content: none;
    }

    .buildings-menu__link {
        justify-content: center;
    }
}